using System;
using System.Threading.Tasks;

internal sealed class Delegate304 : MulticastDelegate
{
	public extern Task Invoke(object object_0, Action<Task, object> action_0, object object_1);

	public static Task smethod_0(object object_0, Action<Task, object> action_0, object object_1, Delegate304 delegate304_1)
	{
		return delegate304_1(object_0, action_0, object_1);
	}

	public extern Delegate304(object object_0, IntPtr intptr_0);

	static Delegate304()
	{
		Class10.smethod_13(typeof(Delegate304).TypeHandle);
	}

	internal static Delegate304 delegate304_0;
}
